Bug 1998700 - gnome-control-center dies with does not contain a key named 'power-saver-profile-on-low-battery'
Summary: gnome-control-center dies with does not contain a key named 'power-saver-prof...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-control-center
Version: rawhide
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: gnome-sig
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-28 02:48 UTC by David Hill
Modified: 2021-10-01 12:36 UTC (History)
5 users (show)

Fixed In Version: gnome-control-center-41~beta-3.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-09-03 18:10:05 UTC
Type: Bug


Attachments (Terms of Use)

Description David Hill 2021-08-28 02:48:33 UTC
Description of problem:
gnome-control-center dies with:
[dhill@knox gnome-settings-daemon]$ gnome-control-center  power

(gnome-control-center:210980): GLib-GIO-ERROR **: 22:46:16.947: Settings schema 'org.gnome.settings-daemon.plugins.power' does not contain a key named 'power-saver-profile-on-low-battery'
Trace/breakpoint trap (core dumped)

This doesn't happen with another user that never logged in (somehow)

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 David Hill 2021-08-28 02:52:45 UTC
Thread 1 "gnome-control-c" received signal SIGTRAP, Trace/breakpoint trap.
g_log_structured_array (log_level=<optimized out>, fields=0x7fffffffb820, n_fields=4) at ../glib/gmessages.c:556
Downloading source file /usr/src/debug/glib2-2.69.2-1.fc36.x86_64/redhat-linux-build/../glib/gmessages.c...
556	    G_BREAKPOINT ();
(gdb) bt
#0  g_log_structured_array (log_level=<optimized out>, fields=0x7fffffffb820, n_fields=4) at ../glib/gmessages.c:556
#1  0x00007ffff7c990b9 in g_log_default_handler (log_domain=log_domain@entry=0x7ffff7f1c6d8 "GLib-GIO", log_level=log_level@entry=6, message=message@entry=0x7fffd0034a90 "Settings schema 'org.gnome.settings-daemon.plugins.power' does not contain a key named 'power-saver-profile-on-low-battery'", unused_data=unused_data@entry=0x0) at ../glib/gmessages.c:3244
#2  0x00007ffff7c9a48a in g_logv (log_domain=0x7ffff7f1c6d8 "GLib-GIO", log_level=G_LOG_LEVEL_ERROR, format=<optimized out>, args=<optimized out>) at ../glib/gmessages.c:1386
#3  0x00007ffff7c9a773 in g_log (log_domain=log_domain@entry=0x7ffff7f1c6d8 "GLib-GIO", log_level=log_level@entry=G_LOG_LEVEL_ERROR, format=format@entry=0x7ffff7f40928 "Settings schema '%s' does not contain a key named '%s'") at ../glib/gmessages.c:1455
#4  0x00007ffff7ec2b91 in g_settings_schema_get_value (key=<optimized out>, schema=<optimized out>) at ../gio/gsettingsschema.c:1004
#5  g_settings_schema_get_value (key=0x55555570f070 "power-saver-profile-on-low-battery", schema=0x55555638e630) at ../gio/gsettingsschema.c:990
#6  g_settings_schema_key_init (key=0x5555564cd440, schema=0x55555638e630, name=0x55555570f070 "power-saver-profile-on-low-battery") at ../gio/gsettingsschema.c:1284
#7  0x00007ffff7ece512 in g_settings_bind_with_mapping (settings=0x7fffd0007a10 [GSettings], key=<optimized out>, object=0x5555563ca3a0, property=0x5555557040d1 "active", flags=G_SETTINGS_BIND_DEFAULT, get_mapping=0x0, set_mapping=<optimized out>, user_data=<optimized out>, destroy=<optimized out>) at ../gio/gsettings.c:2883
#8  0x00007ffff7eced3e in g_settings_bind (settings=<optimized out>, key=key@entry=0x55555570f070 "power-saver-profile-on-low-battery", object=<optimized out>, property=property@entry=0x5555557040d1 "active", flags=<optimized out>, flags@entry=G_SETTINGS_BIND_DEFAULT) at ../gio/gsettings.c:2827
#9  0x000055555562739a in cc_power_panel_init (self=<optimized out>) at ../panels/power/cc-power-panel.c:1644
#10 0x00007ffff7db3289 in g_type_create_instance (type=0x555556470780 [CcPowerPanel/CcPanel/GtkBin/GtkContainer/GtkWidget/GInitiallyUnowned]) at ../gobject/gtype.c:1929
#11 0x00007ffff7d9acad in g_object_new_internal (class=class@entry=0x55555640bf00, params=params@entry=0x7fffffffbe80, n_params=n_params@entry=2) at ../gobject/gobject.c:1945
#12 0x00007ffff7d9c228 in g_object_new_valist (object_type=0x555556470780 [CcPowerPanel/CcPanel/GtkBin/GtkContainer/GtkWidget/GInitiallyUnowned], first_property_name=<optimized out>, var_args=var_args@entry=0x7fffffffc150) at ../gobject/gobject.c:2288
#13 0x00007ffff7d9c75d in g_object_new (object_type=<optimized out>, first_property_name=<optimized out>) at ../gobject/gobject.c:1788
#14 0x00005555556fd4d9 in activate_panel (gicon=<optimized out>, visibility=<optimized out>, name=0x55555646abc0 "Power", parameters=0x0, id=0x5555564639e0 "power", self=0x555556262410 [CcWindow]) at ../shell/cc-window.c:182
#15 set_active_panel_from_id.constprop.0 (self=0x555556262410 [CcWindow], start_id=0x5555564639e0 "power", parameters=0x0, add_to_history=1, force_moving_to_the_panel=0, error=<optimized out>) at ../shell/cc-window.c:443
#16 0x00007ffff7d8a4e4 in g_cclosure_marshal_VOID__STRINGv (closure=0x5555563245b0, return_value=<optimized out>, instance=<optimized out>, args=<optimized out>, marshal_data=<optimized out>, n_params=<optimized out>, param_types=0x5555562668e0) at ../gobject/gmarshal.c:1462
#17 0x00007ffff7da99ea in _g_closure_invoke_va (param_types=0x5555562668e0, n_params=<optimized out>, args=0x7fffffffc4f0, instance=0x5555562de1d0, return_value=0x0, closure=0x5555563245b0) at ../gobject/gclosure.c:893
#18 g_signal_emit_valist (instance=0x5555562de1d0, signal_id=<optimized out>, detail=0, var_args=var_args@entry=0x7fffffffc4f0) at ../gobject/gsignal.c:3406
#19 0x00007ffff7da9b33 in g_signal_emit (instance=<optimized out>, signal_id=<optimized out>, detail=<optimized out>) at ../gobject/gsignal.c:3553
#20 0x00005555555cf0a6 in row_activated_cb (listbox=listbox@entry=0x5555562e2380 [GtkListBox], row=row@entry=0x555556441920 [GtkListBoxRow], self=0x5555562de1d0 [CcPanelList]) at ../shell/cc-panel-list.c:587
#21 0x00007ffff7d8a65e in g_cclosure_marshal_VOID__OBJECTv (closure=0x5555562ed070, return_value=<optimized out>, instance=<optimized out>, args=<optimized out>, marshal_data=<optimized out>, n_params=<optimized out>, param_types=0x5555562dde20) at ../gobject/gmarshal.c:1910
#22 0x00007ffff7da99ea in _g_closure_invoke_va (param_types=0x5555562dde20, n_params=<optimized out>, args=0x7fffffffc7f0, instance=0x5555562e2380, return_value=0x0, closure=0x5555562ed070) at ../gobject/gclosure.c:893
#23 g_signal_emit_valist (instance=0x5555562e2380, signal_id=<optimized out>, detail=0, var_args=var_args@entry=0x7fffffffc7f0) at ../gobject/gsignal.c:3406
#24 0x00007ffff7da9b33 in g_signal_emit (instance=<optimized out>, signal_id=<optimized out>, detail=<optimized out>) at ../gobject/gsignal.c:3553
#25 0x00007ffff7da99ea in _g_closure_invoke_va (param_types=0x0, n_params=<optimized out>, args=0x7fffffffca80, instance=0x555556441920, return_value=0x0, closure=0x555556293230) at ../gobject/gclosure.c:893
#26 g_signal_emit_valist (instance=instance@entry=0x555556441920, signal_id=signal_id@entry=341, detail=detail@entry=0, var_args=var_args@entry=0x7fffffffca80) at ../gobject/gsignal.c:3406
#27 0x00007ffff7da9d5e in g_signal_emit_by_name (instance=0x555556441920, detailed_signal=0x55555571cc47 "activate") at ../gobject/gsignal.c:3593
#28 0x00005555555cfb41 in cc_panel_list_set_active_panel (self=0x5555562de1d0 [CcPanelList], id=0x55555646abe0 "power") at ../shell/cc-panel-list.c:1024
#29 0x00005555555d2ae8 in cc_window_constructed (object=0x555556262410 [CcWindow]) at ../shell/cc-window.c:811
#30 0x00007ffff7d9ad97 in g_object_new_internal (class=class@entry=0x555556284600, params=params@entry=0x7fffffffcde0, n_params=n_params@entry=7) at ../gobject/gobject.c:1985
#31 0x00007ffff7d9c228 in g_object_new_valist (object_type=0x555556267af0 [CcWindow/GtkApplicationWindow/GtkWindow/GtkBin/GtkContainer/GtkWidget/GInitiallyUnowned], first_property_name=<optimized out>, var_args=var_args@entry=0x7fffffffd0b0) at ../gobject/gobject.c:2288
#32 0x00007ffff7d9c75d in g_object_new (object_type=<optimized out>, first_property_name=<optimized out>) at ../gobject/gobject.c:1788
#33 0x00005555555d0a9c in cc_window_new (application=0x55555623bf30 [CcApplication], model=0x5555560f3380 [CcShellModel]) at ../shell/cc-window.c:935
#34 0x00005555555d1af4 in cc_application_startup (application=0x55555623bf30 [CcApplication]) at ../shell/cc-application.c:234
#35 0x00007ffff7da99ea in _g_closure_invoke_va (param_types=0x0, n_params=<optimized out>, args=0x7fffffffd3f0, instance=0x55555623bf30, return_value=0x0, closure=0x555555ae67a0) at ../gobject/gclosure.c:893
#36 g_signal_emit_valist (instance=0x55555623bf30, signal_id=<optimized out>, detail=0, var_args=var_args@entry=0x7fffffffd3f0) at ../gobject/gsignal.c:3406
#37 0x00007ffff7da9b33 in g_signal_emit (instance=instance@entry=0x55555623bf30, signal_id=<optimized out>, detail=detail@entry=0) at ../gobject/gsignal.c:3553
#38 0x00007ffff7eb1701 in g_application_register (application=application@entry=0x55555623bf30 [CcApplication], cancellable=cancellable@entry=0x0, error=error@entry=0x7fffffffd560) at ../gio/gapplication.c:2209
#39 0x00007ffff7eb1e6e in g_application_real_local_command_line (application=0x55555623bf30 [CcApplication], arguments=0x7fffffffd5b8, exit_status=0x7fffffffd5b4) at ../gio/gapplication.c:1111
#40 0x00007ffff7eb2226 in g_application_run (application=0x55555623bf30 [CcApplication], argc=-10828, argv=<optimized out>) at ../gio/gapplication.c:2538
#41 0x00005555555c8ff3 in main (argc=<optimized out>, argv=<optimized out>) at ../shell/main.c:65

Comment 2 David Hill 2021-08-28 03:08:17 UTC
I deleted /home/dhill/.config/dconf and when I re-ran gnome-control-center, it recreated that file and didn't crash this time.

Comment 3 David Hill 2021-08-28 12:30:10 UTC
After clicking the "power" button in the control-center, it crashed and won't restart.

Comment 4 Jack Steele 2021-08-29 08:04:28 UTC
I experience the same issue on my laptop but not desktop, both on Fedora 35.

Removing ~/.config/dconf/user does indeed fix the crash, until I select either the Power item in gnome-control-center, or Power Settings from the top-right menu.

Comment 5 Jack Steele 2021-08-29 09:41:42 UTC
Scratch that first line, this occurs on my desktop as well

Comment 6 Adam Williamson 2021-08-30 19:44:49 UTC
I suspect the problem here is that https://bodhi.fedoraproject.org/updates/FEDORA-2021-53cbc180c9 contains gnome-control-center-41~beta , which includes https://gitlab.gnome.org/GNOME/gnome-control-center/-/commit/1144db552e55a5f68bfdc9f2ec673d15cf5fd3dc - the commit that adds g-c-c code to use the new setting - but the update does *not* contain a 41 build of gnome-settings-daemon, so it's missing https://gitlab.gnome.org/GNOME/gnome-settings-daemon/-/merge_requests/247 , the change that actually adds the new setting on the g-s-d side.

David, Jack, Couret - does the problem go away if you install the updated g-s-d from https://bodhi.fedoraproject.org/updates/FEDORA-2021-04ea749d16 ? Thanks!

Comment 7 Adam Williamson 2021-08-30 20:33:07 UTC
OK, I tested myself and confirmed that's the case. Reproduced the bug with only the update with g-c-c in it, bug goes away if you also update g-s-d.

I think I'll do a -2 build of g-s-d and edit it into the g-c-c update. Seems easiest.

Comment 8 Fedora Update System 2021-08-30 20:54:28 UTC
FEDORA-2021-53cbc180c9 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-53cbc180c9

Comment 9 Fedora Update System 2021-08-30 20:54:30 UTC
FEDORA-2021-53cbc180c9 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-53cbc180c9

Comment 10 Fedora Update System 2021-08-31 17:56:49 UTC
FEDORA-2021-53cbc180c9 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-53cbc180c9`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-53cbc180c9

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2021-09-03 17:42:21 UTC
FEDORA-2021-53cbc180c9 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-53cbc180c9

Comment 12 Fedora Update System 2021-09-03 17:45:15 UTC
FEDORA-2021-53cbc180c9 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-53cbc180c9

Comment 13 Fedora Update System 2021-09-03 18:05:39 UTC
FEDORA-2021-53cbc180c9 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-53cbc180c9`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-53cbc180c9

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2021-09-03 18:10:05 UTC
FEDORA-2021-53cbc180c9 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 David Hill 2021-10-01 12:36:33 UTC
Thanks!


Note You need to log in before you can comment on or make changes to this bug.